mouth
Willkommen Gast.
Um die volle Funktionalität des Forums nutzen zu können,
müssen Sie sich einloggen oder registrieren.
Haben Sie Ihre Aktivierungs E-Mail übersehen?

 
Erweiterte Suche

31.110 Beiträge in 6.475 Themen- von 6.477 Mitglieder - Neuestes Mitglied: Frideborg

27-02-2020 09:16:46
JOOM::GALLERY::FORUMArchivJoomGallery 1.5 MVCMigrationPony ML 2.5.1 => Joomgallery 1.0.0 Check Fehler
Seiten: [1] 2
Drucken
Autor Thema: Pony ML 2.5.1 => Joomgallery 1.0.0 Check Fehler  (Gelesen 8980 mal)
0 Mitglieder und 1 Gast betrachten dieses Thema.
msit
Newbie
*
Offline Offline

Beiträge: 28


« am: 09-08-2011 16:28:57 »

Hallo zusammen!

Vielleicht bin ich ja einfach zu dämlich!


Hintergrund ist, dass ich langsam auf Joomla 1.7 wechseln will und damit unter anderem von der
PonyGallery ML
By: M. Andreas Böttcher (mab) & Benjamin Malte Meier (b2m)
& Andreas Hartmann (aHa) & The ML-Team
[Based on: PonyGallery by Danial Taherzadeh]
Version 2.5.1 PORTED J! 1.5.3, BUILD 20080619

auch auf die neueste Joomgallery.

Also: Joomgallery 1.0 installieren habe ich jetzt geschafft, nachdem ich den FTP layer in Joomla Global configuration/Server ausgeschaltet habe!

Allerings kommen jetzt beim Migrations-Check folgende Fehler:

Existence and Integrity of Databasetables
jos_joomgallery: row(s)        
jos_joomgallery_catg: row(s)        
jos_joomgallery_comments: row(s)        
jos_joomgallery_votes: row(s)        
jos_joomgallery_nameshields: row(s)        
jos_ponygallery: No database selected        
jos_ponygallery_catg: No database selected        
jos_ponygallery_comments: No database selected        
jos_ponygallery_votes: No database selected        
jos_ponygallery_nameshields: No database selected    

Einziger Hinweis: Man soll's reparieren! Fragt sich nur wie und wo???    
Welche row(s), und was damit machen??? Wo database selektieren ???

Hat jemand einen Tipp? (Bzw. eine aussagekräftige Beschreibung, - ist ja eh schon umständlich genug  sm_cry)

Bin dankbar für jede Hilfe!

Martin

PS: Das Ganze läuft lokal unter:
###### ApacheFriends XAMPP (Basispaket) version 1.7.4 ######

  + Apache 2.2.17
  + MySQL 5.5.8 (Community Server)
  + PHP 5.3.5 (VC6 X86 32bit) + PEAR
  + XAMPP Control Version 2.5 from www.nat32.com
  + XAMPP Security
  + SQLite 2.8.15
  + OpenSSL 0.9.8o
  + phpMyAdmin 3.3.9
  + ADOdb 5.11
  + Mercury Mail Transport System v4.62
  + FileZilla FTP Server 0.9.37
  + Webalizer 2.01-10
  + Zend Optimizer 3.3.0
  + Perl 5.10.1
  + Mod_perl 2.0.4
  + Tomcat 7.0.3
« Letzte Änderung: 30-08-2011 09:52:26 von msit » Gespeichert
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #1 am: 18-08-2011 15:03:39 »

Hat denn gar keiner einen Tipp?  sm_no
Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #2 am: 18-08-2011 15:31:39 »

Hi,

unter welcher Joomla!-Version genau arbeitest du gerade?

Ist in diesem Joomla! die PonyGallery ML installiert?

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #3 am: 18-08-2011 16:46:37 »

Hi,

unter welcher Joomla!-Version genau arbeitest du gerade?

Ist in diesem Joomla! die PonyGallery ML installiert?

Gruß
Chraneco

Die Joomla Version ist 1.5.23 und die Ponygallery zeigt mir die folgende Ausgabe an:

PonyGallery ML
By: M. Andreas Böttcher (mab) & Benjamin Malte Meier (b2m)
& Andreas Hartmann (aHa) & The ML-Team
[Based on: PonyGallery by Danial Taherzadeh]
Version 2.5.1 PORTED J! 1.5.3, BUILD 20080619

Und da läuft sie http://shop.whitehorseranch.de/index.php?option=com_ponygallery&Itemid=55 eigentlich.
Nur im Firefox ab Version 4.x startet sie nicht mehr durch, wenn man innerhalb der Kategorie auf Slideshow-Start klickt.
« Letzte Änderung: 18-08-2011 17:10:42 von msit » Gespeichert
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #4 am: 26-08-2011 13:40:34 »

Noch keine neuen Erkenntnisse? Sad
Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #5 am: 26-08-2011 18:39:39 »

Hi,

sorry, ich kann das bei mir leider nicht reproduzieren.

Welche Version der JoomGallery ist bei dir momentan genau installiert?

Was ist bei dir im Tab 'Server' der globalen Konfiguration von Joomla! bei 'Database Type' eingetragen?

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #6 am: 29-08-2011 13:08:49 »

Hi,

sorry, ich kann das bei mir leider nicht reproduzieren.

Welche Version der JoomGallery ist bei dir momentan genau installiert?

Was ist bei dir im Tab 'Server' der globalen Konfiguration von Joomla! bei 'Database Type' eingetragen?

Gruß
Chraneco

Hallo Chraneco,

das macht es natürlich etwas schwierig...

Die Joomgallery (momentan wieder deinstalliert) ist die hier zum Download angebotene Version:
JOOMGALLERY_V_1_0_0_BUILD_20081223_INSTALL.zip

Dantebanktyp: mysql

Gruß
Martin
Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #7 am: 29-08-2011 14:48:22 »

Hi,

hier findest du die letzte Version der 1.0-Serie.

Versuch es mal bitte mit dieser. Ich kann mir zwar nicht wirklich vorstellen, dass das einen Unterschied macht, aber einen Versucht ist es auf jeden Fall wert.

Ansonsten könnte ich dir leider nur noch anbieten, dass ich mich bei dir mal direkt im Backend umsehe, aber wenn ich es richtig gelesen habe, arbeitest du momentan lokal.
Dann wird es leider echt schwierig.

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #8 am: 29-08-2011 15:32:52 »

Hi,

hier findest du die letzte Version der 1.0-Serie.

Versuch es mal bitte mit dieser. Ich kann mir zwar nicht wirklich vorstellen, dass das einen Unterschied macht, aber einen Versucht ist es auf jeden Fall wert.

Ansonsten könnte ich dir leider nur noch anbieten, dass ich mich bei dir mal direkt im Backend umsehe, aber wenn ich es richtig gelesen habe, arbeitest du momentan lokal.
Dann wird es leider echt schwierig.

Gruß
Chraneco

Danke, ich werde es gleich mal probieren.
Wenn's nicht anders geht, dann bleibt wohl nur der Online-Versuch. Habe es bislang vermmieden, da das doch etwas riskanter ist bei so einer größeren Transaktion.

Wie könnte ich dir denn die Zugangsdaten einigermaßen sicher zukommen lassen?

UPDATE: Da kommen die gleichen Fehler! Schade!

Gruß
Martin
« Letzte Änderung: 29-08-2011 15:41:24 von msit » Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #9 am: 29-08-2011 15:50:25 »

Hi,

du solltest auf jeden Fall ein komplettes Backup der Seite anlegen, bevor du die Migration zum ersten Mal versuchst.
Selbst wenn dann etwas schiefgeht, kann es rückgängig gemacht werden.

Wenn du mir hier im Forum eine PM schickst, kann die niemand außer mir lesen, aber du kannst ja erst mal selbst nachsehen, ob der Check online vielleicht besser durchläuft.

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #10 am: 29-08-2011 15:58:25 »

Hi,

du solltest auf jeden Fall ein komplettes Backup der Seite anlegen, bevor du die Migration zum ersten Mal versuchst.
Selbst wenn dann etwas schiefgeht, kann es rückgängig gemacht werden.

Wenn du mir hier im Forum eine PM schickst, kann die niemand außer mir lesen, aber du kannst ja erst mal selbst nachsehen, ob der Check online vielleicht besser durchläuft.

Gruß
Chraneco

OK. Habe gerade ein Backup gemacht.
Online kann ich's mal versuchen. Habe nur das Problem, dass (lokal) nach dem Einschalten des Legacy-Plugins bei Erweiterungen -> Installieren/Deinstallieren -> Module und dem Deaktivieren von FTP ein Fehler "XML Parsing Error at 1:37. Error 108: Unknown" auftaucht, den es sonst nicht gibt  Roll Eyes
Das hat mich bisher abgehalten von dem Versuch...

ALSO:
Scheint irgendwie am XAMPP zu liegen...
Online sieht es wesentlich besser aus. Allerdings kommt da ein neuer Fehler:
Orphans (Pictures without valid user): 298         
Migration is not possible.

Woher auch immer die kommen  Shocked

Wie kann ich dieses Problem in den Griff bekommen?

Gruß
Martin
« Letzte Änderung: 29-08-2011 16:09:17 von msit » Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #11 am: 29-08-2011 16:37:21 »

Hi,

das geht am Besten per PhpMyAdmin.

Dieser Thread sollte dir dabei weiterhelfen können.

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #12 am: 29-08-2011 16:47:05 »

Hi,

das geht am Besten per PhpMyAdmin.

Dieser Thread sollte dir dabei weiterhelfen können.

Gruß
Chraneco

Danke!

Das war ein toller Tipp!
Es lag daran, dass ich mal einen User nach einem Hack entfernen musste ..

Vielen Dank!
Gruß

Martin
« Letzte Änderung: 29-08-2011 16:52:44 von msit » Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #13 am: 29-08-2011 17:05:08 »

Hi,

alles klar, dann scheint soweit ja alles geklappt zu haben.

Lege jetzt bitte unbedingt ein weiteres Backup an und führe danach das Update auf die aktuelle JoomGallery-Version durch.

Gruß
Chraneco
Gespeichert

Der Sprecher
msit
Newbie
*
Offline Offline

Beiträge: 28


« Antworten #14 am: 30-08-2011 09:52:02 »

Hi,

alles klar, dann scheint soweit ja alles geklappt zu haben.

Lege jetzt bitte unbedingt ein weiteres Backup an und führe danach das Update auf die aktuelle JoomGallery-Version durch.

Gruß
Chraneco

Hallo Chraneco,

hat prima geklappt.
Sind zwar ein paar Bilder irgendwie verloren gegangen oder beschädigt gewesen (Wartungs-Manager), aber das ist kein Beinbruch.
Das Probem lag wohl irgendwo in der PHP- oder Mysql-Version des XAMPP.

Super ist, dass man jetzt noch nicht gefüllte Kategorien verstecken kann.
Was ich nicht finde, ist die Zuordnung von Berechtigungen, dass z.B. erst Benutzer mit dem Recht Autor Bilder hochladen dürfen.
Gab's das nicht bei der Pony?

Gruß
Martin

Gespeichert
Seiten: [1] 2
Drucken
Gehe zu:  

HOSTED BY SCHWARZKÜNSTLER ®

PROTECTED BY  ZB BLOCK  AND Project Honey Pot
Theme orange-lt created by panic

Bad Behavior has blocked 2410 access attempts in the last 7 days.

mouth